Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1815937

Summary: Review Request: httprobe - Probing tool for working HTTP and HTTPS servers
Product: [Fedora] Fedora Reporter: Fabian Affolter <mail>
Component: Package ReviewAssignee: Robert-André Mauchin 🐧 <zebob.m>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: package-review, zebob.m
Target Milestone: ---Flags: zebob.m: fedora-review+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-04-09 14:42:49 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 563471    

Description Fabian Affolter 2020-03-22 21:43:12 UTC
Spec URL: https://fab.fedorapeople.org/packages/SRPMS/httprobe.spec
SRPM URL: https://fab.fedorapeople.org/packages/SRPMS/httprobe-0.1.2-1.fc31.src.rpm

Project URL: https://github.com/tomnomnom/httprobe

Description:
Take a list of domains and probe for working HTTP and HTTPS servers.

Koji scratch build:
https://koji.fedoraproject.org/koji/taskinfo?taskID=42704779

rpmlint output:
$ rpmlint httprobe-0.1.2-1.fc31.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint httprob*
httprobe.x86_64: W: no-manual-page-for-binary httprobe
3 packages and 0 specfiles checked; 0 errors, 1 warnings.

Fedora Account System Username: fab

Comment 1 Robert-André Mauchin 🐧 2020-03-26 23:21:26 UTC
 - License ok
 - Latest version packaged
 - Builds in mock
 - No rpmlint errors
 - Conforms to Packaging Guidelines

Package approved.

Comment 2 Fabian Affolter 2020-03-27 08:20:30 UTC
Thanks for the review.

Comment 3 Gwyn Ciesla 2020-03-27 13:51:58 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/httprobe

Comment 4 Fedora Update System 2020-03-31 08:51:37 UTC
FEDORA-2020-127cacec20 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-127cacec20

Comment 5 Fedora Update System 2020-04-01 02:14:47 UTC
FEDORA-2020-127cacec20 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-127cacec20 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-127cacec20

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2020-04-09 14:42:49 UTC
FEDORA-2020-127cacec20 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.